# pn_vrouter_ospf6 – CLI command to add/remove vrouter-ospf6

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to add interface ip to OSPF6 protocol or remove interface ip from OSPF6 protocol on vRouter.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_nic string |  | OSPF6 control for this interface.
pn_ospf6_area string |  | area id for this interface in IPv4 address format.
pn_vrouter_name string |  | name of service config.

state
string / required

Choices:
- present
- absent

State the action to perform. Use `present` to add vrouter-ospf6 and `absent` to remove interface from vrouter-ospf6.

## Examples

    - name: Add vrouter interface nic to ospf6
      pn_vrouter_ospf6:
        pn_cliswitch: "sw01"
        state: "present"
        pn_vrouter_name: "foo-vrouter"
        pn_nic: "eth0.4092"
        pn_ospf6_area: "0.0.0.0"

    - name: Remove vrouter interface nic to ospf6
      pn_vrouter_ospf6:
        pn_cliswitch: "sw01"
        state: "absent"
        pn_vrouter_name: "foo-vrouter"
        pn_nic: "eth0.4092"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the vrouter-ospf6 command.
stdout list | always | set of responses from the vrouter-ospf6 command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.